Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.binding
Interface BindingFactoryManager

    public interface BindingFactoryManager

The manager interface represents a repository for accessing `BindingFactory`s. Provides methods necessary for registering, deregistering or retrieving of BindingFactorys.

Method Summary
`BindingFactory` | `getBindingFactory(java.lang.String name)` Retrieves the BindingFactory registered with the given name.
`void` | `registerBindingFactory(java.lang.String name, BindingFactory binding)` Registers a BindingFactory using the provided name.
`void` | `unregisterBindingFactory(java.lang.String name)` Deregisters the BindingFactory with the provided name.

Method Detail

### registerBindingFactory

    void registerBindingFactory(java.lang.String name,
                                BindingFactory binding)

  Registers a BindingFactory using the provided name.

  Parameters:
    `name` - The name of the BindingFactory.
    `binding` - The instance of the class that implements the BindingFactory interface.

### unregisterBindingFactory

    void unregisterBindingFactory(java.lang.String name)

  Deregisters the BindingFactory with the provided name.

  Parameters:
    `name` - The name of the BindingFactory.

### getBindingFactory

    BindingFactory getBindingFactory(java.lang.String name)
                                     throws BusException

  Retrieves the BindingFactory registered with the given name.

  Parameters:
    `name` - The name of the BindingFactory.
  Returns:
    BindingFactory The registered BindingFactory.
  Throws:
    `BusException` - If there is an error retrieving the BindingFactory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF